Skip to navigation

Obtain Authorized Transaction Details

View as Markdown

Obtain authorized transaction details on a VCA for reporting & payment reconciliation

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

AuthorizationstringRequired
The OAuth Token prefixed with "Bearer" and space in between.
countrystringRequired
Three character length country code used during onboarding into GRACE
regionstringRequired
This value will be used by APIm to route to the respective GRACE backend instance
req-sys-idstringOptional
Unique ID of the API message sent. This ID will be provided back in the corresponding response. The ID can be used for investigation and troubleshooting. The ID must be unique per integration.

Query parameters

client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for oauth token generation

Request

AuthReportInboundRequest
startDatestringRequiredformat: "alphanumeric"<=10 characters

Specifies the start date upto when the reports can be retrieved

Format:YYYY-MM-DD

Rules:

Start date should be less than end date.

Start date should not be earlier than create VCA date

StartDate and endDate can be up to 180 days in the past from the day of report requested and not future date

endDatestringRequiredformat: "alphanumeric"<=10 characters

Specifies the end date upto when the reports can be retrieved

Format:YYYY-MM-DD

Rules:

End date should greater than the start date
StartDate and endDate can be up to 180 days in the past from the day of report requested and not future date

vcaIdstringRequiredformat: "alphanumeric"<=19 characters
A reference number that uniquely identifies the virtual card account.
programIdstringRequiredformat: "alphanumeric"<=25 characters
Unique ID of the company record defined in the virtual cards system.
messageIdstringRequiredformat: "alphanumeric"28-36 characters
Unique ID of the API message sent. The messageId will be provided back in the corresponding response. The ID can be used for investigation and troubleshooting. The ID must be unique per integration.
virtualCardAccountNumberstringRequiredformat: "alphanumeric"<=16 characters

The virtual card account number to use for transactions.

Numeric field and no decimals allowed

timeZonestringRequiredformat: "alphanumeric"<=9 characters

Defines the time zone applicable for any date or time

UTC offset

startTimestringOptionalformat: "alphanumeric"<=10 characters

Specifies the start time from when the reports can be retrieved

Format:HH:MM

endTimestringOptionalformat: "alphanumeric"<=10 characters

Specifies the end time upto when the reports can be retrieved

Format:HH:MM

transactionTypestringOptionalformat: "alphanumeric"<=20 characters

Specifies the nature of the transaction whether it was authorized or returned etc.

Possible Values:
All
Approved
Partial-Approved
Declined
Issuer-Declined
Request-Response
Advice-Response
Reversal-Response

reportIdslist of stringsOptional
An optional reportId array passed by client to fetch the Auth report transactions.

Response

<tr>
CodeDetails
AuthReportInboundResponsesuccess